org.eclipse.draw2d

## Class Cursors

- java.lang.Object
- - org.eclipse.draw2d.Cursors

    public class Cursors
    extends java.lang.Object

A collection of cursors.

### Field Summary

Fields
`static Cursor` `APPSTARTING`
`static Cursor` `ARROW`
`static Cursor` `CROSS`
`static Cursor` `HAND`
`static Cursor` `HELP`
`static Cursor` `IBEAM`
`static Cursor` `NO`
`static Cursor` `SIZEALL`
`static Cursor` `SIZEE`
`static Cursor` `SIZEN`
`static Cursor` `SIZENE`
`static Cursor` `SIZENESW`
`static Cursor` `SIZENS`
`static Cursor` `SIZENW`
`static Cursor` `SIZENWSE`
`static Cursor` `SIZES`
`static Cursor` `SIZESE`
`static Cursor` `SIZESW`
`static Cursor` `SIZEW`
`static Cursor` `SIZEWE`
`static Cursor` `UPARROW`
`static Cursor` `WAIT`

### Constructor Summary

Constructors
Constructor and Description
`Cursors()`

### Method Summary

Methods
`static Cursor` `getDirectionalCursor(int direction)` Returns the cursor corresponding to the given direction, defined in `PositionConstants`.
`static Cursor` `getDirectionalCursor(int direction, boolean isMirrored)` Returns the cursor corresponding to the given direction and mirroring.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ARROW

    public static final Cursor ARROW

See Also:
  `SWT.CURSOR_ARROW`

#### SIZEN

    public static final Cursor SIZEN

See Also:
  `SWT.CURSOR_SIZEN`

#### SIZENE

    public static final Cursor SIZENE

See Also:
  `SWT.CURSOR_SIZENE`

#### SIZEE

    public static final Cursor SIZEE

See Also:
  `SWT.CURSOR_SIZEE`

#### SIZESE

    public static final Cursor SIZESE

See Also:
  `SWT.CURSOR_SIZESE`

#### SIZES

    public static final Cursor SIZES

See Also:
  `SWT.CURSOR_SIZES`

#### SIZESW

    public static final Cursor SIZESW

See Also:
  `SWT.CURSOR_SIZESW`

#### SIZEW

    public static final Cursor SIZEW

See Also:
  `SWT.CURSOR_SIZEW`

#### SIZENW

    public static final Cursor SIZENW

See Also:
  `SWT.CURSOR_SIZENW`

#### APPSTARTING

    public static final Cursor APPSTARTING

See Also:
  `SWT.CURSOR_APPSTARTING`

#### CROSS

    public static final Cursor CROSS

See Also:
  `SWT.CURSOR_CROSS`

#### HAND

    public static final Cursor HAND

See Also:
  `SWT.CURSOR_HAND`

#### HELP

    public static final Cursor HELP

See Also:
  `SWT.CURSOR_HELP`

#### IBEAM

    public static final Cursor IBEAM

See Also:
  `SWT.CURSOR_IBEAM`

#### NO

    public static final Cursor NO

See Also:
  `SWT.CURSOR_NO`

#### SIZEALL

    public static final Cursor SIZEALL

See Also:
  `SWT.CURSOR_SIZEALL`

#### SIZENESW

    public static final Cursor SIZENESW

See Also:
  `SWT.CURSOR_SIZENESW`

#### SIZENWSE

    public static final Cursor SIZENWSE

See Also:
  `SWT.CURSOR_SIZENWSE`

#### SIZEWE

    public static final Cursor SIZEWE

See Also:
  `SWT.CURSOR_SIZEWE`

#### SIZENS

    public static final Cursor SIZENS

See Also:
  `SWT.CURSOR_SIZENS`

#### UPARROW

    public static final Cursor UPARROW

See Also:
  `SWT.CURSOR_UPARROW`

#### WAIT

    public static final Cursor WAIT

See Also:
  `SWT.CURSOR_WAIT`

### Constructor Detail

#### Cursors

    public Cursors()

### Method Detail

#### getDirectionalCursor

    public static Cursor getDirectionalCursor(int direction)

Returns the cursor corresponding to the given direction, defined in `PositionConstants`. Note that `getDirectionalCursor(int, boolean)` should be used for applications which want to run properly when running in a mirrored environment. The behavior is the same as calling `getDirectionalCursor(direction, false)`.

Parameters:
  `direction` - the relative direction of the desired cursor
Returns:
  The appropriate directional cursor

#### getDirectionalCursor

    public static Cursor getDirectionalCursor(int direction,
                              boolean isMirrored)

Returns the cursor corresponding to the given direction and mirroring. The direction must be one of:

- `PositionConstants.NORTH`
- `PositionConstants.SOUTH`
- `PositionConstants.EAST`
- `PositionConstants.WEST`
- `PositionConstants.NORTH_EAST`
- `PositionConstants.NORTH_WEST`
- `PositionConstants.SOUTH_EAST`
- `PositionConstants.SOUTH_WEST`

The behavior is undefined for other values. If `isMirrored` is set to `true`, EAST and WEST will be inverted.

Parameters:
  `direction` - the relative direction of the desired cursor
  `isMirrored` - `true` if EAST and WEST should be inverted
Returns:
  The appropriate directional cursor